%define realname laconica
%global pkgdir        %{_datadir}/php/%{realname}
%global cfgdir        %{_sysconfdir}/%{realname}

Name:           php-laconica
Version:        0.5.0
Release:        5%{?dist}
Summary:        PHP tool for microblogging      

Group:          Applications/Internet
License:        AGPLv3
URL:            http://laconi.ca/
Source0:        http://laconi.ca/%{realname}-%{version}.tar.gz
Source1:        laconica-README.fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       php, php-mysql, mysql, httpd
Requires:       php-pear-Validate, php-xmpphp, php-oauth
Requires:       php-pear-Auth-OpenID, php-pear-DB-DataObject
Requires:       perl-Text-Markdown, php-pear-Mail
Provides:       laconica = %{version}

%description
Laconica is an open source microblogging tool written in PHP. All data
is stored in a MySQL database. Laconica was created as a direct
response of a need to create an open source, distributed alternative
to Twitter. Laconica implements the OpenMicroBlogging standard.

When the package has finished installing, you will need to perform
some additional configuration steps; these are described in README.Fedora

%prep
%setup -qn %{realname}-%{version}
cp %{SOURCE1} ./doc/README.fedora

%build
# Empty build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pkgdir} $RPM_BUILD_ROOT%{cfgdir} 

cp -a -r classes lib actions theme js $RPM_BUILD_ROOT%{pkgdir}
cp -a -r db index.php htaccess.sample dataobject.ini config.php.sample $RPM_BUILD_ROOT%{cfgdir}

rm $RPM_BUILD_ROOT%{pkgdir}/classes/stoica.links.ini

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING doc
%{pkgdir}
%dir %{cfgdir}
%config(noreplace) %{cfgdir}/*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 05 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.5.0-3
 - Peter Lemenkov patch applied, removing %%{docdir}
 - Added Provides: laconica

* Mon Sep 29 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.5.0-2
 - preserving timestamp with `cp -a`, fixed doc section

* Mon Sep 01 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.5.0-1
 - updated to 0.5.0

* Mon Jul 14 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.4.1-1
 - Initial package
